QGIS Application - Bug report #17573
WCS and WFS nodes in Browser Treeview show 'wrong' icons
2017-11-28 02:17 PM - Richard Duivenvoorde

Status: Closed

Priority: Normal

Assignee:

Category: Data Source Manager

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: Yes

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 25470
Description

There is some inconsistency in the use of icons in the browser/data source manager.

The WMS shows a mlconConnect.png for every connection.
And a mlconWms.svg for root node and layers

The WFS though shows a mlconWfs.svg for the connections, but miconConnect.png for the layers.

The WCS always shows mlconWcs.svg

| propose to do the WMS way (PR will be added)

Test urls:

WMS https://geodata.nationaalgeoregister.nl/bag/ows

WEFS https://geodata.nationaalgeoregister.nl/bag/wfs
WCS https://geodata.nationaalgeoregister.nl/ahn3/wcs?

Associated revisions

Revision 2a960c5e - 2017-11-29 12:41 AM - Richard Duivenvoorde

Fix #17573 inconsistency of icons in layer trees

History

#1 - 2017-11-29 12:41 AM - Richard Duivenvoorde
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|2a960c5ec17db060547a15116520e9¢c6000db818.

#2 - 2017-11-30 04:23 AM - Giovanni Manghi

- Resolution set to fixed/implemented
